Payments Scheme
ReferencesV3.2.0

Check and get details of the Payment Pre-validation Data Provider.

POST/data-providers/check

Authorization

oauthBearerToken
AuthorizationBearer <token>

The access token obtained as a result of OAuth 2.0 flows. SWIFT supports the below OAuth grant type for the two environments where the API is exposed.

  • MV-SIPN - jwt-bearer grant type RFC 7523 with Signed JWT assertion
  • Internet - jwt-bearer grant type RFC 7523 with Signed JWT assertion

This API uses JWT-Bearer grant type.

Please visit SWIFT OAuth Token API page for more information and examples on how to generate an OAuth token.

In this declaration only the basic security element to transport the bearer token of an OAuth2 process is declared.

In: header

Header Parameters

X-Request-ID?string

The header is a unique identifier used to track an API request throughout its entire lifecycle. It serves as a "trace" for a given request/response cycle, allowing each system component that handles the request to associate logs, metrics, and actions with the same ID, facilitating debugging, monitoring, and tracing across distributed systems. The id is an uuid as described in IETF RFC 4122 Universally Unique Identifier (UUID) URN Namespace.Pattern - ^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$.

Usage -

  • When a consumer makes an API request, the client or API gateway generates a unique trace ID and includes it in the X-Request-ID header.
  • If the request does not include a trace ID (e.g., from consumer), a new trace ID should be created by the API Gateway and returned to the client in the response header for future tracking.
Formatuuid

Request Body

application/json

Request for checking the Data Provider information.

At least one of the party agent IDs must be provided in the request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

Response if the given party agent in the request is an active Data Provider

{
  "party_agent_match": "MTCH",
  "party_agent_id": "SWHQBEBB",
  "party_agent_id_type": "BIC",
  "data_provider_name": "ACME Bank",
  "data_provider_institution_bic": "ACMEMTMT",
  "data_provider_type": "AGG",
  "support_channel": "Support@bank.com",
  "environment": "LIVE",
  "versions": [
    {
      "version": "V2",
      "configuration": {
        "verification_source": "HOLD",
        "country_scope": "BE,DE,HK",
        "account_owner_type": "PRIV",
        "party_name_match": "Y",
        "party_name_close_match": "N",
        "party_postal_address_match": "N",
        "account_currency_match": "N",
        "party_identification_match": "N",
        "additional_information": "party.account: iban only supported; party.account.currency: only EUR accounts supported"
      }
    },
    {
      "version": "V3",
      "configuration": {
        "verification_source": "HOLD",
        "country_scope": "BE,DE,HK",
        "account_owner_type": "ANYY",
        "party_name_match": "Y",
        "party_name_close_match": "N",
        "party_postal_address_match": "N",
        "account_currency_match": "N",
        "party_identification_match": "N",
        "additional_information": "party.account: iban only supported; party.account.currency: only EUR accounts supported"
      }
    }
  ]
}

{
  "severity": "Fatal",
  "code": "SwAP501",
  "text": "API request is malformed."
}

{
  "severity": "Fatal",
  "code": "SwAP502",
  "text": "Invalid OAuth access token."
}
{
  "severity": "Fatal",
  "code": "SwAP503",
  "text": "OAuth access token has insufficient scope for the requested service."
}
{
  "severity": "Fatal",
  "code": "SwAP506",
  "text": "Resource does not exist."
}
{
  "severity": "Transient",
  "code": "SwAP507",
  "text": "Request cannot be processed at this time. Please try again."
}

{
  "severity": "Transient",
  "code": "SwAP590",
  "text": "Service is temporarily unavailable."
}

{
  "severity": "Transient",
  "code": "SwAP591",
  "text": "Service Provider time out."
}
{
  "severity": "Fatal",
  "code": "Sw.payVal.defaultError",
  "text": "Service is temporarily unavailable."
}

Verification of a creditor/beneficiary account. POST

API resource that allows users to verify an account’s existence (identity and status), ownership and type. The verification is completely independent from any payment scheme or payment initiation. The requesting entity is the data consumer which can be a Debtor Agent, a Creditor Agent or a Financial Institution. The responding entity is the data provider which can be a Creditor Agent, a Debtor Agent, or a third party account/name check provider. Usage guideline for Swift Payment Pre-validation: The requesting entity is the data consumer which can only be a Debtor Agent, a Creditor Agent, or a financial institution. Synonym - Creditor: Payee - Debtor: Payer These are the subsets of the ISO 20022 Verification Of Party resources, as used by the SWIFT Beneficiary Account Verification service.

Get UI Corridor Rules. GET

The endpoint enables Debtor Agents to request Creditor Market UI Payment rules (payment data) facilitating data capture prior to transaction submission, ensuring seamless end-to-end Straight-Through Processing (STP). The endpoint delivers country-specific payment regulations and information requirements, as defined by regulatory authorities and correspondent banks, to facilitate payment execution in JSON schema format. **Specifying Request Filter** Parameters are specified in the form name=value. A parameter list is appended to a URI after a "?". Multiple parameters are separated by "&". **Use of logical operator AND (payment-function and payment-type and country-from and country-to and currency-to)** https://api.swiftnet.sipn.swift.com/swift-preval/v1/ui-corridor-rules?payment-function=P2P&payment-type=A2A&country-from=UK&country-to=IN&currency-to=INR `Note that in this example, the query parameters are not URL encoded for readability.`